## openjdk-17-crac 17.0.13+0

=== debian/changelog ===
openjdk-17-crac (17.0.13+0-0ubuntu2) oracular; urgency=medium

  * d/t/problems.csv: skip runtime/NMT/* tests (LP: #2078952)
  * d/rules: modify update-alternatives priorities

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 04 Sep 2024 20:57:33 +0530

openjdk-17-crac (17.0.13+0-0ubuntu1) oracular; urgency=medium

  * Initial release (LP: #2073609).

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 10 Jul 2024 10:36:59 +0530
