=== debian/control ===
Source: openjdk-17-crac
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pushkar Kulkarni <pushkar.kulkarni@canonical.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkgconf, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
  time, strip-nondeterminism, debugedit (>= 4.16),
  jtreg7 <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
  autoconf, automake, ant, ant-optional,
  g++-14 <!cross>,
  openjdk-17-jdk-headless:native | openjdk-16-jdk-headless:native,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
  libffi-dev, libffi-dev:native,
  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
  libnss3-dev (>= 2:3.17.1),
  openjdk-17-jdk-headless <cross>,
  crac-criu,
Build-Depends-Indep: graphviz, pandoc,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://openjdk.org/projects/crac/
Vcs-Browser: https://github.com/canonical/openjdk-17-crac/tree/crac
Vcs-Git: https://github.com/canonical/openjdk-17-crac.git -b crac


Package: openjdk-17-crac-jdk-headless
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-17-crac-demo, openjdk-17-crac-source
Description: OpenJDK Development Kit (JDK) (headless) with CRaC support
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language. This JDK
 is further specialized to support the Coordinated Restore at Checkpoint
 capability.

Package: openjdk-17-crac-jre-headless
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}, crac-criu
Recommends: ${dlopenhl:Recommends},
  ${fontmanager:Recommends}, ${jsound:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Description: OpenJDK Java runtime with CRaC, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}. This package also provides the "Coordinated Restore
 at Checkpoint" capability.

Package: openjdk-17-crac-jdk
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre (= ${binary:Version}),
  openjdk-17-crac-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-17-crac-demo, openjdk-17-crac-source, visualvm
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 This package also provides the "Coordinated Restore at Checkpoint"
 capability.

Package: openjdk-17-crac-jre
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}),
  ${dlopenjre:Depends}, ${fontmanager:Depends}, ${jsound:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}. This package also provides the "Coordinated
 Restore at Checkpoint" capability.

Package: openjdk-17-crac-demo
Architecture: amd64
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-17-crac-source
Architecture: all
Multi-Arch: foreign
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-17-crac-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends},
  libjs-jquery,
  libjs-jquery-ui,
  libjs-jquery-ui-theme-base,
Suggests: openjdk-17-crac-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-17-crac-dbg
Architecture: amd64
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-17-crac-jre (= ${binary:Version})
Suggests: openjdk-17-crac-jdk (= ${binary:Version})
Conflicts: ${dbg:Conflicts}
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-17-crac-jre-zero
Architecture: amd64
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-17-crac-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM. This packages also provides
 the "Coordinated Restore at Checkpoint" capability.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.
