## openjdk-17-crac 17.0.13+11

=== debian/changelog ===
openjdk-17-crac (17.0.13+11-0ubuntu1) plucky; urgency=medium

  * New openjdk-17-crac release based on jdk-17.0.13+11
  * d/copyright: merge copyright changes from debian/openjdk-17
  * d/{control, test/control, rules}: merge latest changes
    from debian/openjdk-17 related to dtrace and jtreg version
  * d/patches/*: purge unnecessary patches
  * d/tests/problems.csv: update known problems list
  * d/upstream/signing-key.asc - update code verification key

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 21 Nov 2024 01:35:03 +0530
