=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,6 @@
   is_default = yes
 endif
 
-is_upstream_release =
 is_upstream_release = yes
 
 srcdir		= .
