## openjdk-17-crac 17.0.15+6

=== debian/changelog ===
openjdk-17-crac (17.0.15+6-0ubuntu1~25.04) plucky-security; urgency=medium

  * New release based on jdk-17.0.15+6. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-April/043307.html

    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  * d/u/signing-key.asc: update signing key
  * d/t/jtreg-autopkgtest{.sh,.in}: Honour DEB_BUILD_OPTIONS=parallel=N
    while running jtreg tests
  * d/t/problems.csv: merge with exclusions from openjdk-17
  * d/patches: remove log-generated-classes-test.patch
  * Upload to Ubuntu 25.04

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Tue, 29 Apr 2025 01:33:42 +0530
