## openjdk-17-crac 17.0.16+8

=== debian/changelog ===
openjdk-17-crac (17.0.16+8-0ubuntu1) questing; urgency=medium

  * New release based on OpenJDK 17.0.16 release, build 8.
    - Addresses CVE-2025-50059, CVE-2025-30749, CVE-2025-50106,
      CVE-2025-30754. See
      https://openjdk.org/groups/vulnerability/advisories/2025-07-15
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-July/045614.html
  * d/copyright: regenerate.
  * d/copyright-generator/copyright-gen.py: bump copyright year.
  * d/patches: refresh patches

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 21 Jul 2025 20:16:53 +0530

openjdk-17-crac (17.0.15+6-0ubuntu1) questing; urgency=medium

  * New release based on jdk-17.0.15+6. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-April/043307.html

    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  * d/u/signing-key.asc: update signing key
  * d/t/jtreg-autopkgtest{.sh,.in}: Honour DEB_BUILD_OPTIONS=parallel=N
    while running jtreg tests
  * d/t/problems.csv: merge with exclusions from openjdk-17
  * d/patches: remove log-generated-classes-test.patch

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Tue, 29 Apr 2025 01:33:42 +0530
