=== debian/watch ===
version=4
opts="pgpmode=default,\
pgpsigurlmangle=s/archive\/refs\/tags/releases\/download/;s/([^\/]+)\.tar\.gz/$1\/@PACKAGE@-$1\.tar\.gz.asc/,\
uversionmangle=s/-rc/~rc/,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
repack,\
compression=xz" \
    https://github.com/canonical/openjdk-17-crac/tags \
    (?:.*?/)?jdk-(17[\+\.\d]*)\.tar\.gz

opts=\
component=googletest,\
repack,\
compression=xz \
    https://github.com/google/googletest/tags \
    (?:.*?/)?v(1.14.0)\.tar\.gz 1.14.0
