## openjdk-17-crac 17.0.17+10

=== debian/changelog ===
openjdk-17-crac (17.0.17+10-0ubuntu1~25.04) plucky-security; urgency=medium

  * Upload to Ubuntu 25.04.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 24 Nov 2025 12:45:16 +0530

openjdk-17-crac (17.0.17+10-0ubuntu1) resolute; urgency=medium

  * New release based on OpenJDK 17.0.17 release, build 10.
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.
  * d/control: enable building with gcc-15.
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.
  * d/rules: sync with d/rules from openjdk-17.
  * d/control*,watch.in, rules: support to regenerate d/control.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 17 Nov 2025 16:55:52 +0530
