=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Pushkar Kulkarni <pushkar.kulkarni@canonical.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
-  sharutils, gawk, cpio, pkgconf, procps, wdiff, fastjar (>= 2:0.96-0ubuntu2),
+  sharutils, gawk, cpio, procps, wdiff, pkgconf, fastjar (>= 2:0.96-0ubuntu2),
   time, strip-nondeterminism, debugedit (>= 4.16),
   jtreg7 (>= 7.3.1+1~) <!nocheck>, libtestng7-java <!nocheck>, xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, xvfb  <!nocheck>, libasmtools-java <!nocheck>,
   autoconf, automake, ant, ant-optional,
@@ -23,7 +23,6 @@
 Homepage: https://openjdk.org/projects/crac/
 Vcs-Browser: https://github.com/canonical/openjdk-17-crac/tree/crac
 Vcs-Git: https://github.com/canonical/openjdk-17-crac.git -b crac
-
 
 Package: openjdk-17-crac-jdk-headless
 Architecture: amd64
