## openjdk-17-crac 17.0.18+8

=== debian/changelog ===
openjdk-17-crac (17.0.18+8-0ubuntu1) resolute; urgency=medium

  * New release based on OpenJDK 17.0.17 release, build 8.
    - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.

  [ Pushkar Kulkarni ]
  * d/t/jtreg-autopkgtest.*: use locale name "C.UTF-8" on bionic
    and focal.

  [ Vladimir Petko ]
  * d/p/jdk-8369450-proposed.patch: Drop patch applied upstream.
  * Update override comments for unstripped-binary-or-object. We need to
    keep symbols for Native Memory Tracking to work.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override
    for old FSF copyright address.
  * d/s/lintian-overrides: Override false positive debian-rules-calls-
    nproc. The utility is used to log the number of processors.
  * d/control: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Jan 2026 18:45:13 +1300
